#!usr/bin/env ruby
# -*- coding: utf-8 -*-

saikoro=["1","2","3","4","5","6"]

print"これからゲームを始めるよ!!"
while true

  x=rand(6)+1
  
  print"サイコロをまわそう!\n"
  printf("サイコロの数字は%sです!\n",x)
  if x==1

    system"ruby nanimonai.rb"

  elsif x==2

    system"ruby nazonazo.rb"

  elsif x==3

    system"ruby zyanken.rb"

  elsif x==4

    system"ruby highlow.rb"

  elsif x==5

    system"ruby mondai.rb"

  elsif x==6

    system"ruby omikuzi.rb"

  end
  print"結果はどうだったかな?もう一度やる?やるはaやらないはbをおしてね\n"

  a=gets.chomp
  if a=="a"
    redo
  elsif
    a=="b"
    break
  end
end
